/**
 * @author monitour
 * created on 27.07.2017
 */
(function() {
    'use strict';
  
    angular.module('Monitour.pages.invoice', [])
      .config(routeConfig);
  
    /** @ngInject */
    function routeConfig($stateProvider, $urlRouterProvider) {
      $stateProvider
           .state('main.invoices', {
            url: '/invoices',  	 
            templateUrl: 'app/pages/invoices/invoices.html',        
            title: 'Invoice',		
            controller: 'InvoicesCtrl',
            controllerAs: 'vm',
            sidebarMeta: {
            order: 0,
             },
            authenticate: true
          })
          .state('main.invoices.view', {
            url: '/view/:id',
            title: 'View Invoice',
            controller: 'InvoiceCtrl',
            controllerAs: 'vm',
            templateUrl: 'app/pages/invoices/view/invoice.html',
            authenticate: true
        })
         
           //$urlRouterProvider.when('/', '/');
    }
  
  })();